%define name luckybackup
%define version 0.4.8

Summary:	A powerful, fast and reliable backup & sync tool
Name:		%{name}
Version:	%{version}
Release:	%mkrel 2
License:	GPLv3
Url:		http://luckybackup.sourceforge.net/
Group:		Archiving/Backup
Source:		http://prdownloads.sourceforge.net/sourceforge/luckybackup/luckybackup-%{version}.tar.xz
Source1:	luckybackup-gnome-su.desktop
Patch0:		remove_old_menu_file.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	qt4-devel
Requires:	rsync

%description
luckyBackup is an application that backs-up and/or synchronizes any 
directories with the power of rsync.

It is simple to use, fast (transfers over only changes made and not 
all data), safe (keeps your data safe by checking all declared directories 
before proceeding in any data manipulation ), reliable and fully customizable.

%prep
%setup -q
%patch0 -p1

%build
qmake

%make

%install
rm -rf %{buildroot}
%makeinstall INSTALL_ROOT=$RPM_BUILD_ROOT install

install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/applications/luckybackup-gnome-su.desktop

desktop-file-install --vendor="" \
    --remove-category="Application" \
    --add-category="X-MandrivaLinux-System-Archiving-Backup" \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/*
%{_datadir}/%{name}/translations/*
%{_datadir}/pixmaps/%{name}.*
%{_mandir}/man8/*
%{_defaultdocdir}/%{name}/*


%changelog
* Sun Dec 21 2015 bb <bb> 0.4.8-2pclos2104
- rebuild

* Sat Mar 29 2014 bb <bb> 0.4.8-1pclos2014
- update

* Tue Mar 27 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.4.7-1_archie_2012
- 0.4.7

